## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           python-owl_rl
Version:        7.1.2
Release:        %autorelease
Summary:        A simple implementation of the OWL2 RL Profile

%global forgeurl https://github.com/RDFLib/OWL-RL
%global tag %{version}
%forgemeta

License:        W3C
URL:            %forgeurl
Source:         %forgesource

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-pytest

%global _description %{expand:
A simple implementation of the OWL2 RL Profile, as well as a basic RDFS
inference, on top of RDFLib. Based mechanical forward chaining. The
distribution contains:

* scripts/RDFConvertService: can be used as a CGI script to invoke the
library. It may have to be adapted to the local server setup.
* scripts/owlrl: script that can be run locally to transform a file
into RDF (on the standard output). Run the script with -h to get the
available flags.}

%description %_description


%package -n python3-owl_rl
Summary:        %{summary}

# On PyPI the package is called `owlrl`.
%py_provides python3-owlrl

%description -n python3-owl_rl %_description


%prep
%forgeautosetup -p1


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files owlrl

# Install scripts manually
# https://github.com/RDFLib/OWL-RL/issues/72
install -d %{buildroot}%{_bindir}
install -p -m 0755 scripts/owlrl %{buildroot}%{_bindir}
install -p -m 0755 scripts/RDFConvertService %{buildroot}%{_bindir}
%py3_shebang_fix %{buildroot}%{_bindir}/*


%check
%pytest -v


%files -n python3-owl_rl -f %{pyproject_files}
%doc README.rst
%{_bindir}/owlrl
%{_bindir}/RDFConvertService


%changelog
## START: Generated by rpmautospec
* Mon Dec 30 2024 Sandro <devel@penguinpee.nl> - 7.1.2-1
- Update to 7.1.2 (RHBZ#2322099)

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 6.0.2-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sun Jun 16 2024 Python Maint <python-maint@redhat.com> - 6.0.2-13
- Rebuilt for Python 3.13

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 6.0.2-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 6.0.2-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 6.0.2-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Jun 13 2023 Python Maint <python-maint@redhat.com> - 6.0.2-9
- Rebuilt for Python 3.12

* Thu May 04 2023 Sandro <devel@penguinpee.nl> - 6.0.2-8
- Fix rpmlint issues

* Thu May 04 2023 Sandro <devel@penguinpee.nl> - 6.0.2-7
- Clean up spec file

* Thu May 04 2023 Sandro <devel@penguinpee.nl> - 6.0.2-6
- Remove dependency on rdflib_jsonld
- python-rdflib 6.2.0 is available in f37 and rawhide
- Prerequisite for fixing FTBFS for python-odml

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 6.0.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Mon Aug 15 2022 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 6.0.2-4
- chore: remove duplicate license file

* Mon Aug 15 2022 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 6.0.2-3
- fix: use rdflib_jsonld until rdflib is updated to 6.0.0 (fixes:
  rhbz#2003891, rhbz#2113640)

* Mon Aug 15 2022 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 6.0.2-2
- feat: use pyproject macros

* Mon Aug 15 2022 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 6.0.2-1
- feat: update to 6.0.2
- drops doc subpackage that contained sphinx docs: sphinx generated docs
  require unbundling of fonts/js and so on, so we don't include them.

* Mon Aug 15 2022 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 5.2.3-6
- chore: remove unneeded macro

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 5.2.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 5.2.3-3
- Rebuilt for Python 3.11

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 5.2.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sun Oct 24 2021 Aniket Pradhan <major AT fedoraproject DOT org> - 5.2.3-1
- Update to v5.2.3
- Mention rdflib-jsonld as an explicit requirement because the current version of rdflib is < 6

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 5.2.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Thu Jun 17 2021 Aniket Pradhan <major AT fedoraproject DOT org> - 5.2.1-5
- Fix Obsoletes version

* Thu Jun 17 2021 Aniket Pradhan <major AT fedoraproject DOT org> - 5.2.1-4
- Fix subpackage name

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 5.2.1-3
- Rebuilt for Python 3.10

* Wed May 26 2021 Aniket Pradhan <major AT fedoraproject DOT org> - 5.2.1-2
- Fix description

* Mon May 10 2021 Aniket Pradhan <major AT fedoraproject DOT org> - 5.2.1-1
- Initial build

## END: Generated by rpmautospec
